Loading...
Searching...
No Matches
QGpgME::QGpgMEDeleteJob Class Reference
Inheritance diagram for QGpgME::QGpgMEDeleteJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEDeleteJob:
[legend]

## Public Member Functions

| QGpgMEDeleteJob (GpgME::Context *context)
GpgME::Error | start (const GpgME::Key &key, bool allowSecretKeyDeletion) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DeleteJob, QGpgME::QGpgMEDeleteJobPrivate >
void | run ()
Public Member Functions inherited from QGpgME::DeleteJob
GpgME::Error | start (const GpgME::Key &key, GpgME::DeletionFlags flags)
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< DeleteJob, QGpgME::QGpgMEDeleteJobPrivate >
typedef ThreadedJobMixin< DeleteJob, QGpgME::QGpgMEDeleteJobPrivate, std::tuple< GpgME::Error, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::DeleteJob
void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< DeleteJob, QGpgME::QGpgMEDeleteJobPrivate >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::DeleteJob
| DeleteJob (std::unique_ptr< DeleteJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start()

Error QGpgMEDeleteJob::start | ( | const GpgME::Key & | key,
|  | bool | allowSecretKeyDeletion )

override virtual

Starts the delete operation. key represents the key to delete, allowSecretKeyDeletion specifies if a key may also be deleted if the secret key part is available, too.

Implements QGpgME::DeleteJob.

The documentation for this class was generated from the following files:

- qgpgmedeletejob.h
- qgpgmedeletejob.cpp